Clearswift launches DeepSecure 2.1 message security software for military, government, and defense applications

REDWOOD CITY, Calif., 12 October 2006. Clearswift's DeepSecure 2.1 message security software has passed common criteria Evaluation Assurance Level 4 (EAL4), making it the world's only EAL4-certified ACP 145 compliant security solution. DeepSecure is designed to meet the needs of organizations where security is paramount, such as in the military, government, and defense industries.

REDWOOD CITY, Calif., 12 October 2006. Clearswift's DeepSecure 2.1 message security software has passed common criteria Evaluation Assurance Level 4 (EAL4), making it the world's only EAL4-certified ACP 145 compliant security solution. DeepSecure is designed to meet the needs of organizations where security is paramount, such as in the military, government, and defense industries.

ACP 145 (Allied Communications Protocol 145) is a messaging interoperability standard designed to support communication between military messaging systems.

DeepSecure is a messaging security solution that enables organizations to safely transmit highly sensitive information via electronic communications whilst maintaining network integrity. As well as providing virus scanning, DeepSecure enables file type fingerprinting and word search on messages that may be signed or encrypted. DeepSecure 2.1 enables secure and encrypted messages, as well as standard emails, to be audited at the gateway, while preventing eaves-dropping attacks.

DeepSecure provides assured network separation: messages are stored, and then forwarded through an intermediary rather than through a data stream. This prevents messaging protocols being subverted and being used for external network attacks or unauthorized transfer of confidential data. DeepSecure maintains separate channels for message flow between networks, thus allowing different security policies to be applied in each direction.

More in Communications